Đến nội dung


Hình ảnh
* * - - - 4 Bình chọn

[Hỏi] Hàm ssget trong Autolisp


  • Please log in to reply
149 replies to this topic

#41 NTD

NTD

    biết lệnh rotate

  • Members
  • PipPipPip
  • 135 Bài viết
Điểm đánh giá: 11 (tàm tạm)

Đã gửi 06 June 2012 - 05:46 PM

Đỏ: mã (-4 . "=") kèm theo là (62 . 256) nghĩa là màu của nó bằng 256 (bylayer), mã (-4 . "=") (40 . 924) nghĩa là chiều cao text bằng 924. Mã "=" này chỉ dùng được khi xét đến con số (ví dụ bán kính...)
Xanh: không thể biết hết nỗi đâu, có hàng ngàn mã lận.
Nâu: Còn nhiều thứ khó hơn DXF nhiều lần.


Sư ... thúc !!!! bác thử xem có cách nào sắp xếp các mã , các dòng của File filter.nfl thành 1 đoạn mã mẫu như bác ketxu đã cho em ko ? tất nhiên là phaii automatic thì mới có ích lợi . Không phải tự dưng em nghĩ thế đâu , có thể dùng Excel tạo hàng & cột của các câu lệnh Lisp rồi tự động cập nhật các mã các dòng của filter.nfl (đã đc dán vô 2 cột của Excel ) . Em biết ý tưởng đó rất khó & mông lung nhưng nếu đc thì ...........Thôi em biết khả năng của em nên ko dám nghĩ ngợi quá xa đua đòi với các bác
  • 0

#42 Doan Van Ha

Doan Van Ha

    biết lệnh adcenter

  • CADViet Team
  • PipPipPipPipPipPipPip
  • 5450 Bài viết
Điểm đánh giá: 2625 (tuyệt vời)

Đã gửi 06 June 2012 - 10:11 PM

Sư ... thúc !!!! bác thử xem có cách nào sắp xếp các mã , các dòng của File filter.nfl thành 1 đoạn mã mẫu như bác ketxu đã cho em ko ? tất nhiên là phaii automatic thì mới có ích lợi . Không phải tự dưng em nghĩ thế đâu , có thể dùng Excel tạo hàng & cột của các câu lệnh Lisp rồi tự động cập nhật các mã các dòng của filter.nfl (đã đc dán vô 2 cột của Excel ) . Em biết ý tưởng đó rất khó & mông lung nhưng nếu đc thì ...........Thôi em biết khả năng của em nên ko dám nghĩ ngợi quá xa đua đòi với các bác

Cách thì có. Nhưng nếu Excel được thì tội chi phải Lisp.
  • 0

* Chỉ nên yêu cầu Lisp khi bạn làm việc đó mất cả ngày nhưng họ chỉ viết 1 giờ. Đừng nêu yêu cầu Lisp khi bạn chỉ làm 1 giờ nhưng bắt họ phải mất cả ngày.

* Nhờ viết lisp cũng như đi khám bệnh. Chỉ gởi căn cước và than sắp chết thì không bác sỹ nào cứu sống được.


#43 ketxu

ketxu

    Copier - Paster - Editor

  • Moderator
  • PipPipPipPipPipPipPip
  • 5682 Bài viết
Điểm đánh giá: 2605 (tuyệt vời)

Đã gửi 06 June 2012 - 10:13 PM

Yêu cầu trích xuất đoạn mã cho bạn tất nhiên là làm được, chỉ là duyệt qua các string thôi. Nhưng xin phép, mình thấy nó không có lợi gì cho bạn và cũng không hứng thú với chủ đề này lắm. Bạn muốn biết + áp dụng cái j k l khi chưa đọc A b c, thì hút máu bao nhiêu cũng bằng thừa thôi :)
Mong các bác khác sẽ giúp bạn
  • 0

Thành viên nhóm CadMagic.
Mời bạn ghé thăm facebook nhóm - Page viết lisp theo yêu cầu  :
CAD MAGIC


#44 NTD

NTD

    biết lệnh rotate

  • Members
  • PipPipPip
  • 135 Bài viết
Điểm đánh giá: 11 (tàm tạm)

Đã gửi 07 June 2012 - 12:56 AM

2 Bác ketxu & Doan Van Ha giúp em đi , nốt lần này thôi em sẽ không đặt thêm yêu cầu nào hay idea nào trong thớt này nữa các bác chỉ em cách duyệt qua các string là gì ? làm ra sao ? để trích xuất đoạn mã lọc đưa vao Lisp chạy ngon
Đúng là em hơi tham , chưa biết ABC đã muốn JKL . Nhưng nghề của em là kiến trúc sư , em tham gia diễn đàn CV cũng đc gần năm rồi đây là lần thứ 2 em đặt ra các câu hỏi mà . Thời gian gần đây Cty ít việc nên em mới có time ngâm cứu Lisp , về nhà thì vợ con , rồi đánh quả , hiếm lắm mới có nhiều time vào diễn đàn cadviet học hỏi như đợt này .
Các Lisp em đang dùng cho công việc thì cũng sưu tầm đc nhiều lắm rồi ,cũng tự mình viết rất nhiều cái đơn giản . Lúc này chỉ mong học đc thêm cách làm sao trích xuất đc các đoạn mã lọc từ lệnh Filter để đưa vào Lisp theo idea của em mà mã câu lệnh em nắm đc. Mà như vậy cũng là 1 cách học về DXF mà bác , chứ có phải em lười đâu , em đang nhờ các bác giúp em đi tắt đón đầu trong việc nghiên cứu DXF đấy chứ :D . Cảm ơn bác cả 2 bác vì ... sắp giúp em :D
  • 0

#45 gia_bach

gia_bach

    biết lệnh adcenter

  • CADViet Team
  • PipPipPipPipPipPipPip
  • 1436 Bài viết
Điểm đánh giá: 1426 (rất tốt)

Đã gửi 07 June 2012 - 07:26 AM

2 Bác ketxu & Doan Van Ha giúp em đi , nốt lần này thôi em sẽ không đặt thêm yêu cầu nào hay idea nào trong thớt này nữa các bác chỉ em cách duyệt qua các string là gì ? làm ra sao ? để trích xuất đoạn mã lọc đưa vao Lisp chạy ngon
Đúng là em hơi tham , chưa biết ABC đã muốn JKL . Nhưng nghề của em là kiến trúc sư , em tham gia diễn đàn CV cũng đc gần năm rồi đây là lần thứ 2 em đặt ra các câu hỏi mà . Thời gian gần đây Cty ít việc nên em mới có time ngâm cứu Lisp , về nhà thì vợ con , rồi đánh quả , hiếm lắm mới có nhiều time vào diễn đàn cadviet học hỏi như đợt này .
Các Lisp em đang dùng cho công việc thì cũng sưu tầm đc nhiều lắm rồi ,cũng tự mình viết rất nhiều cái đơn giản . Lúc này chỉ mong học đc thêm cách làm sao trích xuất đc các đoạn mã lọc từ lệnh Filter để đưa vào Lisp theo idea của em mà mã câu lệnh em nắm đc. Mà như vậy cũng là 1 cách học về DXF mà bác , chứ có phải em lười đâu , em đang nhờ các bác giúp em đi tắt đón đầu trong việc nghiên cứu DXF đấy chứ :D . Cảm ơn bác cả 2 bác vì ... sắp giúp em :D

HI NTD
Tôi đang là họa viên, bạn vui lòng chỉ cho tôi cách đi tắt đón đầu để trở thành kiến trúc sư đuợc ko?

Hàng ngày nghe mấy KTS "phán" mà suớng cái lỗ tai quá!
Nhưng để trở thành KTS khó quá, thi đầu vào, mất 5-7 năm sách vở, haiza thấy mà ngán nhỉ ?!
  • 1

#46 NTD

NTD

    biết lệnh rotate

  • Members
  • PipPipPip
  • 135 Bài viết
Điểm đánh giá: 11 (tàm tạm)

Đã gửi 07 June 2012 - 01:37 PM

Bác Bach lạc chủ đề rồi , nhưng em vẫn xin trả lời bác
Thưa bác là mọi vấn đề trong cuôc sống luôn có cách đi tắt hết , vấn đề là bác có chịu tìm hiểu & học hỏi hay dấu dốt hay ko thôi
- Nếu bác muốn nổi tiếng như KTS TadaoAndo bác nên ... học quyền anh , làm nghề thợ mộc , bồi bàn , học EL , làm tất cả các công việc mà dân văn phòng mà cụ thể là KTS như em cảm thấy sỹ diện ko thể làm đc để đi du lịch vòng quanh thế giới mà vẫn kiếm sống đc.Đặc biết là đừng bao giờ học đại học kiến trúc cụ thể hơn nữa thì em chưa đủ tầm để nói rõ ràng hơn nhưng đại khái là vậy
- Nếu bác muốn thành KTS tầm thường như em thì quá dễ , ko cần phí công học 5 năm ĐH như em đâu . Bác đã là họa viên rồi CAD-Max-Shop ngon , OK đến công ty em đi sếp em nhận bác lam họa viên ngay , concept hay kỹ thuật tùy bác chon , đang thiếu người mà . Công ty em chẳng nhìn bằng cấp đâu . Em học Quy Hoạch mà làm Công Trình gần 9 năm nay , toàn làm nhà cao tầng , em có cả giấy chứng chỉ hành nghề KTS công trình, xin cấp phép đúng quy định của sở ko đút tiền . Em làm đc 2 năm đầu tiên toàn vẽ 3D + MB concept , xong xin chỉ làm kỹ thuật bổ thang, WC , trần, sàn..v..v.. đc 2 năm tiếp theo . Bây giờ năm thứ 5 làm chủ trì kiến trúc . Thi thoảng ngồi nói chuyện với sếp & anh em công ty , vẫn hay đùa vói nhau .... cần éo gì học ĐH . Thì trường ĐH Kiến Trúc có cái nhà mới xây đó thôi , xấu có mà khó có còn ngôn từ nào miêu tả :D .
Nếu bác có ý nghiêm túc em sẽ cho bác số điện thoại của em để qua cty em test thử việc , em nói trước là sẽ lương thấp đó , nhưng có ý gắn bó lâu dài với cty & định hướng lâu dài với nghề thì bác sẽ vượt qua đc hết và sau khoảng nhanh thì 2 nănm lâu thì 4 năm sẽ có 1 vị trí như nhóm trưởng của 1 nhóm toàn KTS văn bằng ĐH đàng hoàng , đưong nhiên tiền cũng khác rồi :D

Ps : - Ai nghĩ em chém thì cứ nghĩ thoải mái đi
- Em chỉ bác Bach cách đi tắt rồi nhé , bác chỉ em cách đi tắt đi , làm sao ............ :D
  • 0

#47 lp_hai

lp_hai

    biết lệnh measure

  • Members
  • PipPipPipPipPipPip
  • 456 Bài viết
Điểm đánh giá: 202 (khá)

Đã gửi 07 June 2012 - 05:16 PM

haizzzzzzzz
các bác chém thế này chắc là "đi tắt đón đường" quá :(
  • 0
Hình đã gửi

#48 Tue_NV

Tue_NV

    KS Võ Quang Tuệ

  • Moderator
  • PipPipPipPipPipPipPip
  • 4296 Bài viết
Điểm đánh giá: 3804 (đỉnh cao)

Đã gửi 08 June 2012 - 06:10 AM

Bác Bach lạc chủ đề rồi , nhưng em vẫn xin trả lời bác
Thưa bác là mọi vấn đề trong cuôc sống luôn có cách đi tắt hết , vấn đề là bác có chịu tìm hiểu & học hỏi hay dấu dốt hay ko thôi
...........

Không học lớp 1 -> Ai cho bạn học lên lớp 2 ????
Không xây dựng cái nền móng căn bản -> Khó có thể xây nên 1 ngôi nhà bền vững được ????
  • 1

#49 kegiaumat

kegiaumat

    biết vẽ circle

  • Members
  • PipPip
  • 39 Bài viết
Điểm đánh giá: -2 (bình thường)

Đã gửi 13 June 2012 - 10:49 AM

em muốn chọn một tập chọn có 2 màu là màu xanh và màu đỏ thì làm sao các bác
giả sử
(setq tapdoituong (ssget '( (8 . "trac_ngang,trac_ngang_sl")))) thì ok
(setq tapdoituong (ssget '( (62 . "1,3")))) thi not ok ( cái này ko bít phải viết thế nào)
  • 0

#50 Doan Van Ha

Doan Van Ha

    biết lệnh adcenter

  • CADViet Team
  • PipPipPipPipPipPipPip
  • 5450 Bài viết
Điểm đánh giá: 2625 (tuyệt vời)

Đã gửi 13 June 2012 - 11:02 AM

(setq ss (ssget '((-4 . "<OR") (62 . 1) (62 . 3) (-4 . "OR>"))))
  • 1

* Chỉ nên yêu cầu Lisp khi bạn làm việc đó mất cả ngày nhưng họ chỉ viết 1 giờ. Đừng nêu yêu cầu Lisp khi bạn chỉ làm 1 giờ nhưng bắt họ phải mất cả ngày.

* Nhờ viết lisp cũng như đi khám bệnh. Chỉ gởi căn cước và than sắp chết thì không bác sỹ nào cứu sống được.


#51 kegiaumat

kegiaumat

    biết vẽ circle

  • Members
  • PipPip
  • 39 Bài viết
Điểm đánh giá: -2 (bình thường)

Đã gửi 13 June 2012 - 11:04 AM

ặc cái mã -4 là cái ji đó ta. cám ơn hà nhé tiếp cận cũng khá khá thời gian với lisp rùi mà jo mới bít đúng thật biển học mênh mông
  • 0

#52 kegiaumat

kegiaumat

    biết vẽ circle

  • Members
  • PipPip
  • 39 Bài viết
Điểm đánh giá: -2 (bình thường)

Đã gửi 13 June 2012 - 11:16 AM

bác Hà cho em hỏi tý nữa là sao
(setq tapdoituong (ssget '((0."text") (-4 . "<OR") (62 . 2) (62 . 3) (-4 . "OR>"))))
bác giải thích cho em cái mã -4 đó cái
  • 0

#53 phamthanhbinh

phamthanhbinh

    biết lệnh adcenter

  • Moderator
  • PipPipPipPipPipPipPip
  • 6009 Bài viết
Điểm đánh giá: 3113 (tuyệt vời)

Đã gửi 13 June 2012 - 12:44 PM

bác Hà cho em hỏi tý nữa là sao
(setq tapdoituong (ssget '((0."text") (-4 . "<OR") (62 . 2) (62 . 3) (-4 . "OR>"))))
bác giải thích cho em cái mã -4 đó cái

Hề hề hề,
Mã -4 là dùng cho các toán tử logic trong quá trình tạo bộ lọc cho hàm ssget bạn ạ.
Bạn có thể vào trong Help của Cad để tham khảo thêm về mã này.
  • 0
Chúc các quý Anh trên diễn đàn luôn khỏe, đẻ thêm được nhiều thứ để mót.

#54 duy782006

duy782006

    PHẠM QUỐC DUY

  • CADViet Team
  • PipPipPipPipPipPipPip
  • 2155 Bài viết
Điểm đánh giá: 1360 (rất tốt)

Đã gửi 14 June 2012 - 10:37 AM

@NTD : Bạn đọc những dòng sau, hi vọng sẽ trả lời và áp dụng được với những câu hỏi của bạn

1- SSget có thể chọn các đối tượng ngay bằng bộ lọc.
Trước tiên bạn bật Help về hàm ssget lên để đọc, và sẽ gặp khái niệm Filter List

- Bộ lọc đó là gì ? Là list các sub-list bao gồm : (dxf-id . Giá_trị) hoặc (cons dxf-id giá-trị)
Dxf là mã thuộc tính của đối tượng. Mỗi 1 đặc tính của đối tượng đều được gán vào 1 mã. Ví dụ, kiểu đối tượng mã 0, layer đối tượng mã 8, màu đối tượng mã 62.... Để tìm được thông tin các mã này bạn phải vào Help của CAD để tìm đọc
Khi gán bộ lọc này vào hàm ssget, CAD sẽ chọn tất cả các đối tượng có tất cả các giá trị khớp với list bạn đưa.

+ Quay trở lại với yêu cầu đầu tiên : Chọn tất cả các Hatch có cùng kiểu Hatch, loại ANSI31, cùng tỉ lệ Scale 100


(defun c:1()(sssetfirst nil (ssget (list (cons 0 "HATCH")(cons 2 "ANSI31")(cons 41 100)))))
Ở đây mã 0 : kiểu đối tượng HATCH
Mã 2 : Pattern của Hatch : Đặt là kiểu "ANSI31" (string)
Mã 41 : Scale của Hatch : Đặt bằng 100 (Real)

* Áp dụng với chọn tất cả các Text,Mtext có kiểu chữ là "Standard"(7) :
(defun c:1()(sssetfirst nil (ssget (list (cons 0 "*TEXT")(cons 7 "Standard")))))
*

+ Ở trên bạn có hỏi muốn linh động 2 giá trị trên bằng cách đánh vào => Hãy thay thế các giá trị cố định đó bằng hàm lấy loại dữ liệu tương ứng
Với String : Hàm (getstring message)
Với Real : Hàm (getreal message)

=> Lisp 1 sẽ sửa thành :

(defun c:1a()(sssetfirst nil (ssget (list (cons 0 "HATCH")(cons 2 (getstring "\nLoai Hatch :"))(cons 41 (getreal "\nScale :"))))))

+ Tiếp nữa, bạn lại hỏi cách không muốn nhập bằng tay mà pick một đối tượng mẫu. Để làm được điều này bạn phải đọc về các hàm cdr, assoc, entget, car, entsel
Ở đây mình viết sẵn 1 hàm để lấy danh sách các mã DXF của đối tượng kick, bạn áp dụng trước đã, sau này bạn tìm hiểu sau :
(defun getDxfs(lstId en)(vl-remove-if-not '(lambda(x)(vl-position (car x) lstId)) (entget en)))
* Áp dụng vào pick chọn các HATCH có cùng loại Hatch(2), Scale(41), Layer(8) với đối tượng Hatch mẫu :
(defun c:1b()(sssetfirst nil (ssget (getDxfs '(0 2 41 8)(car(entsel "\nDoi tuong mau :"))))))

* Áp dụng pick chọn các Block cùng tên(2) với Block mẫu :
(defun c:1c()(sssetfirst nil (ssget (getDxfs '(0 2 )(car(entsel "\nDoi tuong mau :"))))))

*Áp dụng pick chọn các đối tượng cùng layer(8) với đối tượng mẫu :
(defun c:1d()(sssetfirst nil (ssget (getDxfs '(8)(car(entsel "\nDoi tuong mau :"))))))

Với các ví dụ trên hi vọng bạn đã có thể tự làm lisp chọn đối tượng cho đa số trường hợp yêu cầu ở trên

Sang phần 2 : Một số yêu cầu lọc đối tượng mà điều kiện của nó bạn không thể tìm thấy ngay trong các mã DXF. Ví dụ yêu cầu cuối cùng, tìm các Block có scale xyz khác nhau. Không có mã này, nên điều bạn phải làm là chọn tất cả các Block trong vùng chọn, rồi kiểm tra. Thằng nào thỏa điều kiện thì giữ lại, thằng nào không thỏa thì bỏ ra khỏi tập chọn (giống như lisp bác ĐVH viết cho bạn)
Vì bạn chưa nghiên cứu Lisp nên thôi mình không trình bày, viết code tổng quát cho bạn áp dụng luôn, dần dà bạn thắc mắc thì nói tiếp
Có thể dùng ssadd và ssdel, nhưng ở đây mình dùng Visual Lisp => bạn phải có dòng (vl-load-com) đầu lisp.
Ngoài ra cũng lạm dụng luôn cả ACET, các hàm của Express trong CAD

- Đầu tiên : hàm lọc theo điều kiện hàm giữ và bỏ + hàm lấy dxf của 1 ename + hàm kiểm tra dxf có bằng yêu cầu không

(defun getss (typ fc_lay fc_bo / )
(sssetfirst nil
(acet-list-to-ss
(vl-remove-if fc_bo
(vl-remove-if-not
fc_lay
(acet-ss-to-list(ssget (list (cons 0 typ))))
))
)
)
)
(defun cdxf(id en)(cdr (assoc id (entget en))))
(defun isEq(id vl en)(eq (cdxf id en) vl))
=> Yêu cầu của bạn có thể viết thành :

(defun c:6();Chon cac Block k cung ti le xyz
(getss "INSERT"
'=
'(lambda(x)(= (cdxf 41 x)(cdxf 42 x)(cdxf 43 x)))
)
)

Hay yêu cầu về các Dimension có cùng tỉ lệ ScaleFactor bằng 1có thể viết thành :

(defun c:2()
(getss "DIMENSION"
'(lambda(x)(= (vlax-get (vlax-ename->vla-object x) 'LinearScaleFactor) 1))
'not
)
)

- Câu hỏi cuối cùng : nếu không muốn chọn trong vùng chọn mà chọn tất cả đối tượng trên bản vẽ thì bạn thêm "x" vào sau chữ ssget ở tất cả các lisp

Đọc bài trên rồi nhưng mình nhằn ko ra bây giờ mình muốn thay đổi dòng dưới sao cho cái số 0 và chữ text là do mình nhồi vào bằng lisp thì sửa như thế nào?
(setq SS (ssget '((0 . "text"))))

Mình thử viết:
(setq loai "text")
(setq SS (ssget '((0 . loai))))
Thì không được, nó báo lổi. Sửa thành
(setq loai "text")
(setq SS (ssget '((0 . "loai"))))
Thì không báo lổi nhưng ko chọn được đối tượng.
Mình cứ đọc tới vl, vla thì tràn bộ nhớ nên có cách nào làm như mong muốn mà ko dùng vl và vla không? Mình đoán chắc dùng strcat để ghép chuổi thì phải. Mong các bác giúp.
  • 0

Cứ ngỡ trần gian là cõi thật.Cho nên tất bật đến bây giờ.
Tạo hộp thoại bằng lisp My blog QUY ĐỊNH ĐẶT TÊN TOPIC TRONG CHUYÊN MỤC LISPD http://ktsduy.wordpress.com/
Để cám ơn chỉ cần nhấn rep_up.png
(Là nhấn vào nút đó phía bài viết của người ta í chứ đừng có nhè cái hình này mà nhấn miết đi nha :-D


#55 Doan Van Ha

Doan Van Ha

    biết lệnh adcenter

  • CADViet Team
  • PipPipPipPipPipPipPip
  • 5450 Bài viết
Điểm đánh giá: 2625 (tuyệt vời)

Đã gửi 14 June 2012 - 10:47 AM

Phải thế này bác Duy:
(setq loai "text")
(setq SS (ssget (list (cons 0 loai))))
  • 3

* Chỉ nên yêu cầu Lisp khi bạn làm việc đó mất cả ngày nhưng họ chỉ viết 1 giờ. Đừng nêu yêu cầu Lisp khi bạn chỉ làm 1 giờ nhưng bắt họ phải mất cả ngày.

* Nhờ viết lisp cũng như đi khám bệnh. Chỉ gởi căn cước và than sắp chết thì không bác sỹ nào cứu sống được.


#56 ketxu

ketxu

    Copier - Paster - Editor

  • Moderator
  • PipPipPipPipPipPipPip
  • 5682 Bài viết
Điểm đánh giá: 2605 (tuyệt vời)

Đã gửi 14 June 2012 - 08:57 PM

Đọc bài trên rồi nhưng mình nhằn ko ra bây giờ mình muốn thay đổi dòng dưới sao cho cái số 0 và chữ text là do mình nhồi vào bằng lisp thì sửa như thế nào?
(setq SS (ssget '((0 . "text"))))

Mình thử viết:
(setq loai "text")
(setq SS (ssget '((0 . loai))))
Thì không được, nó báo lổi. Sửa thành
(setq loai "text")
(setq SS (ssget '((0 . "loai"))))
Thì không báo lổi nhưng ko chọn được đối tượng.
Mình cứ đọc tới vl, vla thì tràn bộ nhớ nên có cách nào làm như mong muốn mà ko dùng vl và vla không? Mình đoán chắc dùng strcat để ghép chuổi thì phải. Mong các bác giúp.

Không dùng hàm ' khi tạo list có chứa biến bác ơi. Hàm ' là hàm tạo list mà không định giá trước => loai sẽ biến thành SYM LOAI. Phải
  • 2

Thành viên nhóm CadMagic.
Mời bạn ghé thăm facebook nhóm - Page viết lisp theo yêu cầu  :
CAD MAGIC


#57 kegiaumat

kegiaumat

    biết vẽ circle

  • Members
  • PipPip
  • 39 Bài viết
Điểm đánh giá: -2 (bình thường)

Đã gửi 22 June 2012 - 12:37 AM

cho em hỏi các bác phát nữa. (he he các cái trên em thông rùi)
giả sử khi ta dùng ssget có bộ lọc xdata
(ssget (list (list -3 (list "P1" (cons 1070 2))))) : mã 1070 (integer) thì ok
(ssget (list (list -3 (list "P1" (cons 1071 51))))): với mã 1071 (long) thì không lọc được đối tượng. Với cái kiểu long này thì ko bít phải làm sao
cảm ơn các bác nhìu
  • 0

#58 NTD

NTD

    biết lệnh rotate

  • Members
  • PipPipPip
  • 135 Bài viết
Điểm đánh giá: 11 (tàm tạm)

Đã gửi 10 July 2012 - 02:52 PM

Mấy tuần trước em đã mò ra lệnh SELECTSIMILAR , hehe , có bắc nào thử coi , lệnh này đáp ứng được phần nào yêu cầu về lọc của em rồi :D . 1 lệnh thay cho rất nhiều Lisp lọc đối tượng , bác nào thích thì đặt cho nó phím tắt trong acad.pgp đi còn đợi gì nữa
  • 0

#59 duy782006

duy782006

    PHẠM QUỐC DUY

  • CADViet Team
  • PipPipPipPipPipPipPip
  • 2155 Bài viết
Điểm đánh giá: 1360 (rất tốt)

Đã gửi 11 July 2012 - 07:39 AM

Mấy tuần trước em đã mò ra lệnh SELECTSIMILAR , hehe , có bắc nào thử coi , lệnh này đáp ứng được phần nào yêu cầu về lọc của em rồi :D . 1 lệnh thay cho rất nhiều Lisp lọc đối tượng , bác nào thích thì đặt cho nó phím tắt trong acad.pgp đi còn đợi gì nữa

Cad đời mấy nhiêu vậy bạn?
  • 0

Cứ ngỡ trần gian là cõi thật.Cho nên tất bật đến bây giờ.
Tạo hộp thoại bằng lisp My blog QUY ĐỊNH ĐẶT TÊN TOPIC TRONG CHUYÊN MỤC LISPD http://ktsduy.wordpress.com/
Để cám ơn chỉ cần nhấn rep_up.png
(Là nhấn vào nút đó phía bài viết của người ta í chứ đừng có nhè cái hình này mà nhấn miết đi nha :-D


#60 Tue_NV

Tue_NV

    KS Võ Quang Tuệ

  • Moderator
  • PipPipPipPipPipPipPip
  • 4296 Bài viết
Điểm đánh giá: 3804 (đỉnh cao)

Đã gửi 11 July 2012 - 08:51 AM

Cad đời mấy nhiêu vậy bạn?

CAD2012 : em thấy có tính năng này
  • 1